%define  upstream_name Execution
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.1.1
Release:	%mkrel 2
Summary:	Provides functionality to give feedback to your application's users when a
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	http://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.8
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch

%description
Provides functionality to give feedback to your application's users when a
fatal error happened or an uncaught exception was thrown.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Execution.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Execution.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/Execution
fi

%files
%defattr(-,root,root)
%doc docs/Execution/*
%{peardir}/data/Execution/design/class_diagram.png
%{peardir}/data/Execution/design/design.txt
%{peardir}/data/Execution/design/requirements.txt
%{peardir}/ezc/Execution/exceptions/already_initialized.php
%{peardir}/ezc/Execution/exceptions/exception.php
%{peardir}/ezc/Execution/exceptions/invalid_callback.php
%{peardir}/ezc/Execution/exceptions/not_initialized.php
%{peardir}/ezc/Execution/exceptions/wrong_class.php
%{peardir}/ezc/Execution/execution.php
%{peardir}/ezc/Execution/execution_autoload.php
%{peardir}/ezc/Execution/handlers/basic_handler.php
%{peardir}/ezc/Execution/interfaces/execution_handler.php
%{peardir}/ezc/autoload/execution_autoload.php
%{xmldir}/Execution.xml


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 349924
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 16 2011 spuhler <spuhler> 1.1.1-1.mga2
+ Revision: 124976
- imported package ezcomponents-Execution

